Lab1 Action
curl --request GET \
--url https://platform.agileloop.ai/api/lab1/lab1-action \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.agileloop.ai/api/lab1/lab1-action"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.agileloop.ai/api/lab1/lab1-action', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "",
"data": {
"states": [
{
"title": "Google",
"headings": [],
"interactable_elements": {
"tag_name": "TEXTAREA",
"label": "Search",
"bounding_box": {
"x": 396,
"y": 258,
"width": 443,
"height": 27
}
}
},
{
"title": "Google",
"headings": [],
"interactable_elements": {
"tag_name": "TEXTAREA",
"label": "Search",
"bounding_box": {
"x": 396,
"y": 258,
"width": 443,
"height": 27
}
}
}
],
"actions": [
{
"instruction": "type",
"target": {
"tag_name": "TEXTAREA",
"label": "Search",
"bounding_box": {
"x": 396,
"y": 258,
"width": 443,
"height": 27
}
},
"content": "weather in London"
},
{
"instruction": "type",
"target": {
"tag_name": "TEXTAREA",
"label": "Search",
"bounding_box": {
"x": 396,
"y": 258,
"width": 443,
"height": 27
}
},
"content": "weather in London"
}
],
"action": {
"instruction": "type",
"target": {
"tag_name": "TEXTAREA",
"label": "Search",
"bounding_box": {
"x": 396,
"y": 258,
"width": 443,
"height": 27
}
},
"content": "weather in London"
}
}
}Lab1 Endpoint
Get Action
GET
/
api
/
lab1
/
lab1-action
Lab1 Action
⌘I